public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-misc/birthday/
@ 2015-12-25 12:08 Justin Lecher
  0 siblings, 0 replies; 6+ messages in thread
From: Justin Lecher @ 2015-12-25 12:08 UTC (permalink / raw
  To: gentoo-commits

commit:     cf577da0714eb531ae6036fa5fad78eeb2564684
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 25 12:07:27 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Dec 25 12:08:04 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf577da0

app-misc/birthday: Bump EAPI

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 app-misc/birthday/birthday-1.6.2-r1.ebuild | 32 ++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/app-misc/birthday/birthday-1.6.2-r1.ebuild b/app-misc/birthday/birthday-1.6.2-r1.ebuild
new file mode 100644
index 0000000..dcfe624
--- /dev/null
+++ b/app-misc/birthday/birthday-1.6.2-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="Displays a list of events happening in the near future"
+HOMEPAGE="http://sourceforge.net/projects/birthday/"
+SRC_URI="mirror://sourceforge/birthday/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+src_prepare() {
+	# Don't strip, install in correct share dir and respect CFLAGS
+	sed \
+		-e "s:install -s:install:g" -e "s:#SHARE:SHARE:g" -e "s:-O2:${CFLAGS}:g" \
+		-i Makefile || die
+	sed \
+		-e 's:grep -v:grep --binary-files=text -v:g' \
+		-i runtest.sh || die
+
+	default
+}
+
+src_compile() {
+	emake CC=$(tc-getCC)
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-misc/birthday/
@ 2015-12-25 12:08 Justin Lecher
  0 siblings, 0 replies; 6+ messages in thread
From: Justin Lecher @ 2015-12-25 12:08 UTC (permalink / raw
  To: gentoo-commits

commit:     0dfa9a21a1586d6b3df25f86f9f5ab8d0c229945
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 25 12:03:22 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Dec 25 12:08:04 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0dfa9a21

app-misc/birthday: Fix test failures

Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=568930

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 app-misc/birthday/birthday-1.6.2.ebuild | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/app-misc/birthday/birthday-1.6.2.ebuild b/app-misc/birthday/birthday-1.6.2.ebuild
index 600b935..c8f79f8 100644
--- a/app-misc/birthday/birthday-1.6.2.ebuild
+++ b/app-misc/birthday/birthday-1.6.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -18,8 +18,12 @@ src_unpack() {
 	cd "${S}"
 
 	# Don't strip, install in correct share dir and respect CFLAGS
-	sed -i -e "s:install -s:install:g" -e "s:#SHARE:SHARE:g" -e "s:-O2:${CFLAGS}:g" \
-		Makefile || die
+	sed \
+		-e "s:install -s:install:g" -e "s:#SHARE:SHARE:g" -e "s:-O2:${CFLAGS}:g" \
+		-i Makefile || die
+	sed \
+		-e 's:grep -v:grep --binary-files=text -v:g' \
+		-i runtest.sh || die
 }
 
 src_compile() {


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-misc/birthday/
@ 2017-10-21 17:31 Patrice Clement
  0 siblings, 0 replies; 6+ messages in thread
From: Patrice Clement @ 2017-10-21 17:31 UTC (permalink / raw
  To: gentoo-commits

commit:     213bc60f7c709528bc8a953c0b34ca28299d2055
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 21 17:27:01 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Oct 21 17:27:01 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=213bc60f

app-misc/birthday: clean up old.

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 app-misc/birthday/birthday-1.6.2.ebuild | 34 ---------------------------------
 1 file changed, 34 deletions(-)

diff --git a/app-misc/birthday/birthday-1.6.2.ebuild b/app-misc/birthday/birthday-1.6.2.ebuild
deleted file mode 100644
index cfdfb29b5b2..00000000000
--- a/app-misc/birthday/birthday-1.6.2.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-inherit toolchain-funcs
-
-DESCRIPTION="Displays a list of events happening in the near future"
-HOMEPAGE="https://sourceforge.net/projects/birthday/"
-SRC_URI="mirror://sourceforge/birthday/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ppc ppc64 sparc x86"
-IUSE=""
-
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
-
-	# Don't strip, install in correct share dir and respect CFLAGS
-	sed \
-		-e "s:install -s:install:g" -e "s:#SHARE:SHARE:g" -e "s:-O2:${CFLAGS}:g" \
-		-i Makefile || die
-	sed \
-		-e 's:grep -v:grep --binary-files=text -v:g' \
-		-i runtest.sh || die
-}
-
-src_compile() {
-	emake CC=$(tc-getCC) || die "emake failed"
-}
-
-src_install() {
-	emake DESTDIR="${D}" install || die "emake install failed"
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-misc/birthday/
@ 2017-10-21 17:31 Patrice Clement
  0 siblings, 0 replies; 6+ messages in thread
From: Patrice Clement @ 2017-10-21 17:31 UTC (permalink / raw
  To: gentoo-commits

commit:     00dff9ab82802f67e317ed5259dedf5bb0252aec
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 21 17:26:43 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Oct 21 17:26:43 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00dff9ab

app-misc/birthday: stable for amd64. mark stable for the remaining arches using the ALLARCHES policy.

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 app-misc/birthday/birthday-1.6.2-r1.ebuild | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/app-misc/birthday/birthday-1.6.2-r1.ebuild b/app-misc/birthday/birthday-1.6.2-r1.ebuild
index caf191e6de4..94556795d5e 100644
--- a/app-misc/birthday/birthday-1.6.2-r1.ebuild
+++ b/app-misc/birthday/birthday-1.6.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -11,8 +11,7 @@ SRC_URI="mirror://sourceforge/birthday/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE=""
+KEYWORDS="amd64 ppc ppc64 sparc x86"
 
 src_prepare() {
 	# Don't strip, install in correct share dir and respect CFLAGS


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-misc/birthday/
@ 2020-11-24 23:11 Patrice Clement
  0 siblings, 0 replies; 6+ messages in thread
From: Patrice Clement @ 2020-11-24 23:11 UTC (permalink / raw
  To: gentoo-commits

commit:     09cd5f6959430ae85e157d40cfba21a33a4d6ae7
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 24 23:11:25 2020 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue Nov 24 23:11:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09cd5f69

app-misc/birthday: replace sed delimiter.

replace : with @.

Closes: https://bugs.gentoo.org/710950
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-misc/birthday/birthday-1.6.2-r1.ebuild | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/app-misc/birthday/birthday-1.6.2-r1.ebuild b/app-misc/birthday/birthday-1.6.2-r1.ebuild
index 94556795d5e..aa948380009 100644
--- a/app-misc/birthday/birthday-1.6.2-r1.ebuild
+++ b/app-misc/birthday/birthday-1.6.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -16,10 +16,12 @@ KEYWORDS="amd64 ppc ppc64 sparc x86"
 src_prepare() {
 	# Don't strip, install in correct share dir and respect CFLAGS
 	sed \
-		-e "s:install -s:install:g" -e "s:#SHARE:SHARE:g" -e "s:-O2:${CFLAGS}:g" \
+		-e "s@install -s@install@g" \
+		-e "s@#SHARE@SHARE@g" \
+		-e "s@-O2@${CFLAGS}@g" \
 		-i Makefile || die
 	sed \
-		-e 's:grep -v:grep --binary-files=text -v:g' \
+		-e 's@grep -v@grep --binary-files=text -v@g' \
 		-i runtest.sh || die
 
 	default


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-misc/birthday/
@ 2022-03-19 23:17 David Seifert
  0 siblings, 0 replies; 6+ messages in thread
From: David Seifert @ 2022-03-19 23:17 UTC (permalink / raw
  To: gentoo-commits

commit:     ce2b10f49defdcafb59e169768cae22f269ec43d
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 19 23:16:44 2022 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Mar 19 23:16:44 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce2b10f4

app-misc/birthday: quote $(tc-*) calls

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 app-misc/birthday/birthday-1.6.2-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-misc/birthday/birthday-1.6.2-r1.ebuild b/app-misc/birthday/birthday-1.6.2-r1.ebuild
index aa9483800099..4d2088dc58c5 100644
--- a/app-misc/birthday/birthday-1.6.2-r1.ebuild
+++ b/app-misc/birthday/birthday-1.6.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -28,5 +28,5 @@ src_prepare() {
 }
 
 src_compile() {
-	emake CC=$(tc-getCC)
+	emake CC="$(tc-getCC)"
 }


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2022-03-19 23:17 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-11-24 23:11 [gentoo-commits] repo/gentoo:master commit in: app-misc/birthday/ Patrice Clement
  -- strict thread matches above, loose matches on Subject: below --
2022-03-19 23:17 David Seifert
2017-10-21 17:31 Patrice Clement
2017-10-21 17:31 Patrice Clement
2015-12-25 12:08 Justin Lecher
2015-12-25 12:08 Justin Lecher

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox